// import { Component } from '@angular/core';

// @Component({
//   selector: 'app-tab1',
//   templateUrl: 'tab1.page.html',
//   styleUrls: ['tab1.page.scss']
// })
// export class Tab1Page {
//   selectedCategory: string = 'male';

//   categories = [
//     {
//       title: '热门',
//       subCategories: [
//         { title: '大国科技' },
//         { title: '科幻' },
//         { title: '历史争霸' },
//         { title: '天才' },
//         { title: '脑洞' },
//         { title: '都市修真' }
//       ]
//     },
//     {
//       title: '题材',
//       subCategories: [
//         { title: '都市' },
//         { title: '同人' },
//         { title: '科幻' },
//         { title: '玄幻' },
//         { title: '游戏' },
//         { title: '悬疑' }
//       ]
//     },
//     {
//       title: '情节',
//       subCategories: [
//         { title: '江湖' },
//         { title: '校园' },
//         { title: '重生' },
//         { title: '僵尸' },
//         { title: '三国' },
//         { title: '修炼' }
//       ]
//     },
//     {
//       title: '风格',
//       subCategories: [
//         { title: '励志' },
//         { title: '现实' },
//         { title: '烧脑' }
//       ]
//     }
//   ];

//   constructor() {}

//   segmentChanged() {
//     // Handle segment change logic here
//   }

//   viewBookDetail(subCategory: any) {
//     // 实现查看书籍详情的逻辑
//   }
// }



import { Component } from '@angular/core';
import { NavController } from '@ionic/angular';

@Component({
  selector: 'app-tab1',
  templateUrl: 'tab1.page.html',
  styleUrls: ['tab1.page.scss'],
})
export class Tab1Page {
  categories: any[] = [
    { name: '热门', items: ['大国科技', '科幻', '历史争霸', '天才', '脑洞', '都市修真'] },
    { name: '题材', items: ['都市', '同人', '科幻', '玄幻', '游戏', '悬疑', '武侠', '仙侠', '历史'] },
    { name: '情节', items: ['江湖', '校园', '重生', '僵尸', '三国', '修炼', '经济', '全民', '二次元'] },
    { name: '风格', items: ['励志', '现实', '烧脑'] }
  ];

  constructor(private navCtrl: NavController) {}

  segmentChanged(event: any) {
    // 处理分类切换逻辑
  }

  goToBookDetail(bookTitle: string) {
    // 导航至书籍详情页面，并传递书籍标题参数
    this.navCtrl.navigateForward(`/book-content`);
  }
}