import { Component } from '@angular/core';
import { Router } from '@angular/router';

@Component({
  selector: 'app-tab3',
  templateUrl: 'tab3.page.html',
  styleUrls: ['tab3.page.scss']
})
export class Tab3Page {
  readingTime: number = 264; // 模拟阅读时长为 264 分钟

  readingBooks = [
    { title: 'Book 1' },
    { title: 'Book 2' },
    { title: 'Book 3' }
  ];

  completedBooks = [
    { title: 'Book 4' },
    { title: 'Book 5' },
    { title: 'Book 6' }
  ];

  constructor(private router: Router) {}

  goToRegister() {
    // 实现跳转到注册页面的逻辑
  }

  viewReadingRank() {
    this.router.navigate(['/reading-rank']); // 假设路由为 '/reading-rank'
  }
}
